Uploaded image for project: 'Bedrock Dedicated Server'
  1. Bedrock Dedicated Server
  2. BDS-164

BDS 1.7.0.13 only supports Ubuntu 18.04+

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Invalid
    • Affects Version/s: 1.6.1.0
    • Fix Version/s: None
    • Environment:
       

      Ubuntu 16.04

      Description

      I've been running BDS 1.6.1 on Ubuntu 16.04 without issue. I upgraded to 1.7.0.13, and can no longer run the server. It appears that the new build was linked to libraries that are only available on Ubuntu 18.04:

      hugh@cactus:/opt/minecraft/server$ export LD_LIBRARY_PATH=.
      hugh@cactus:/opt/minecraft/server$ ./bedrock_server
      ./bedrock_server: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory
      

      As Ubuntu 14.04, 16.04, and 18.04 are all still supported releases, it would be much less restrictive to build for 14.04, which would allow the software to run on any of the currently supported releases. Should that not be possible, it might be a good idea to document (in the release notes / how-to) that bedrock server only supports Ubuntu 18.04.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              hugh Hugh E
              Votes:
              8 Vote for this issue
              Watchers:
              9 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: